import 'package:auto_route/annotations.dart';
import 'package:eitc_erm_dental_flutter/exts.dart';
import 'package:eitc_erm_dental_flutter/funcs.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

///常见问题页面
@RoutePage(name: "faqsRoute")
class FaqsPage extends StatelessWidget {
  const FaqsPage({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        centerTitle: true,
        title: Text(getS().faqs),
      ),
      body: SafeArea(
          child: SingleChildScrollView(
        child: Padding(
          padding: EdgeInsets.symmetric(horizontal: 16.w),
          child: Column(
            children: [_getFaq1(context)],
          ),
        ),
      )),
    );
  }

  Widget _getFaq1(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        Container(
          padding: EdgeInsets.symmetric(horizontal: 0.w, vertical: 5.h),
          child: Text(
            getS().faq1Title,
            style: context.titleSmall,
          ),
        ),
        SizedBox(
          height: 10.h,
        ),
        Text(
          getS().faq1Desc1,
          style: context.bodySmall,
        ),
        SizedBox(
          height: 8.h,
        ),
        Text(getS().faq1Desc2, style: context.bodySmall),
        SizedBox(
          height: 8.h,
        ),
        Text(getS().faq1Desc3, style: context.bodySmall),
      ],
    );
  }
}
